Subject: Re: [PATCH V3 for 3.19] rtlwifi: Fix error when accessing unmapped memory in skb

From: Eric Biggers <[email-masked]>
Date: Tue, 30 Dec 2014 23:07:35 -0600

On Tue, Dec 30, 2014 at 09:33:07PM -0600, Larry Finger wrote:
> v3 - Unmap skb before trying to allocate a new one so as to not leak mapping.

Looks good to me, although I'm not sure about the handling of DMA mapping errors
(perhaps that's something that drivers typically don't even try to handle?).
Anyway, the skb allocation issue appears to be resolved now.  I am running your
patch with an extra hack to inject some occasional skb allocation failures, and
I haven't noticed any problems except dropped packets.

Eric